apiVersion: extensions.hive.openshift.io/v1beta1
kind: AgentClusterInstall
metadata:
  annotations:
    agent-install.openshift.io/install-config-overrides: '{"networking":{"networkType":"OVNKubernetes"},"capabilities":
      {"baselineCapabilitySet": "None", "additionalEnabledCapabilities": ["NodeTuning",
      "OperatorLifecycleManager"]}}'
    argocd.argoproj.io/sync-wave: "1"
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"extensions.hive.openshift.io/v1beta1","kind":"AgentClusterInstall","metadata":{"annotations":{"agent-install.openshift.io/install-config-overrides":"{\"networking\":{\"networkType\":\"OVNKubernetes\"},\"capabilities\": {\"baselineCapabilitySet\": \"None\", \"additionalEnabledCapabilities\": [\"NodeTuning\", \"OperatorLifecycleManager\"]}}","argocd.argoproj.io/sync-wave":"1","ran.openshift.io/ztp-gitops-generated":"{}"},"labels":{"app.kubernetes.io/instance":"clusters-blueprint"},"name":"sno4","namespace":"sno4"},"spec":{"clusterDeploymentRef":{"name":"sno4"},"imageSetRef":{"name":"cluster-image-set-vdu-4.16-p1a8"},"manifestsConfigMapRef":{"name":"sno4"},"networking":{"clusterNetwork":[{"cidr":"10.128.0.0/14","hostPrefix":23}],"machineNetwork":[{"cidr":"10.6.77.0/24"}],"serviceNetwork":["172.30.0.0/16"]},"provisionRequirements":{"controlPlaneAgents":1},"sshPublicKey":"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCei2UnkBB9g9DPhu4fpMFKmrlhR9UIYYPet61WF3qr6Rp2LkxEhZtbRk6tZjaiVXo/Ff6rsayyoEy86bPCE+4/Kl+3V/KueKW2fgxz/tg1uLiDerWj8+J8KAGJ8TsBAl3cWYYQtHxlwCnyPSmspWB/UegNTd+0cHhkPiTYd6wylgmbBi9MWOAISkXOLWUjsOmKUKiTLkfX2VWqvkk8BH2/blHp0xCSZ2NWifc+VmCvz+M36mj0aRF5dEmfdy+wg7m9wi2/Hq59+NLGBef3kKjBnj0A/K0wFfT0ufi03OkztDOY7Y0xxIkl8Bi/Hof4rDlfKVKA9hcMSo3TY2o0asmTTXUhGZ/FVuZcIZpULOFMXKUR3oKeqnr/dff32IHVwgYb8n8C5zUepWu7tVUKnvxZ0Gwajy1Ru+xjrlROFT+761faJHmG5Ev/EdwKHkXHq5EMHgopyiYV7swJEnFzAUzaiu8DP1FYNJyocRvp6AZpbIlyFoabyq+o2yn2Fhny6gs= jgato@provisioner.el8k.hpecloud.org"}}
    ran.openshift.io/ztp-gitops-generated: '{}'
  creationTimestamp: "2024-10-01T09:30:57Z"
  finalizers:
  - agentclusterinstall.agent-install.openshift.io/ai-deprovision
  generation: 1
  labels:
    app.kubernetes.io/instance: clusters-blueprint
  name: sno4
  namespace: sno4
  ownerReferences:
  - apiVersion: hive.openshift.io/v1
    kind: ClusterDeployment
    name: sno4
    uid: 0ac47626-a105-44a0-afac-95d342ae4f10
  resourceVersion: "251193282"
  uid: 5fb6c08e-9fcb-4efc-b1a2-21e4528ba7d7
spec:
  clusterDeploymentRef:
    name: sno4
  imageSetRef:
    name: cluster-image-set-vdu-4.16-p1a8
  manifestsConfigMapRef:
    name: sno4
  networking:
    clusterNetwork:
    - cidr: 10.128.0.0/14
      hostPrefix: 23
    machineNetwork:
    - cidr: 10.6.77.0/24
    serviceNetwork:
    - 172.30.0.0/16
    userManagedNetworking: true
  provisionRequirements:
    controlPlaneAgents: 1
  sshPublicKey: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCei2UnkBB9g9DPhu4fpMFKmrlhR9UIYYPet61WF3qr6Rp2LkxEhZtbRk6tZjaiVXo/Ff6rsayyoEy86bPCE+4/Kl+3V/KueKW2fgxz/tg1uLiDerWj8+J8KAGJ8TsBAl3cWYYQtHxlwCnyPSmspWB/UegNTd+0cHhkPiTYd6wylgmbBi9MWOAISkXOLWUjsOmKUKiTLkfX2VWqvkk8BH2/blHp0xCSZ2NWifc+VmCvz+M36mj0aRF5dEmfdy+wg7m9wi2/Hq59+NLGBef3kKjBnj0A/K0wFfT0ufi03OkztDOY7Y0xxIkl8Bi/Hof4rDlfKVKA9hcMSo3TY2o0asmTTXUhGZ/FVuZcIZpULOFMXKUR3oKeqnr/dff32IHVwgYb8n8C5zUepWu7tVUKnvxZ0Gwajy1Ru+xjrlROFT+761faJHmG5Ev/EdwKHkXHq5EMHgopyiYV7swJEnFzAUzaiu8DP1FYNJyocRvp6AZpbIlyFoabyq+o2yn2Fhny6gs=
    jgato@provisioner.el8k.hpecloud.org
status:
  conditions:
  - lastProbeTime: "2024-10-01T09:31:17Z"
    lastTransitionTime: "2024-10-01T09:31:17Z"
    message: SyncOK
    reason: SyncOK
    status: "True"
    type: SpecSynced
  - lastProbeTime: "2024-10-01T09:42:00Z"
    lastTransitionTime: "2024-10-01T09:42:00Z"
    message: The cluster's validations are passing
    reason: ValidationsPassing
    status: "True"
    type: Validated
  - lastProbeTime: "2024-10-01T10:05:33Z"
    lastTransitionTime: "2024-10-01T10:05:33Z"
    message: The cluster requirements are met
    reason: ClusterAlreadyInstalling
    status: "True"
    type: RequirementsMet
  - lastProbeTime: "2024-10-01T10:05:33Z"
    lastTransitionTime: "2024-10-01T10:05:33Z"
    message: 'The installation is in progress: Preparing cluster for installation'
    reason: InstallationInProgress
    status: "False"
    type: Completed
  - lastProbeTime: "2024-10-01T09:31:17Z"
    lastTransitionTime: "2024-10-01T09:31:17Z"
    message: The installation has not failed
    reason: InstallationNotFailed
    status: "False"
    type: Failed
  - lastProbeTime: "2024-10-01T09:31:17Z"
    lastTransitionTime: "2024-10-01T09:31:17Z"
    message: The installation is waiting to start or in progress
    reason: InstallationNotStopped
    status: "False"
    type: Stopped
  - lastProbeTime: "2024-10-01T09:42:00Z"
    lastTransitionTime: "2024-10-01T09:42:00Z"
    message: |-
      failed generating install config for cluster abce9c79-facf-4be6-949a-197ac9de5c17: error running openshift-install manifests,  level=error msg=failed to fetch Master Machines: failed to load asset "Install Config": failed to create install config: invalid "install-config.yaml" file: capabilities: Invalid value: types.Capabilities{BaselineCapabilitySet:"None", AdditionalEnabledCapabilities:[]v1.ClusterVersionCapability{"NodeTuning", "OperatorLifecycleManager"}}: the Ingress capability is required
      : exit status 3
    reason: The last installation preparation failed
    status: "True"
    type: LastInstallationPreparationFailed
  connectivityMajorityGroups: '{"majority_groups":{"10.6.77.0/24":[],"IPv4":[],"IPv6":[]},"l3_connected_addresses":{}}'
  debugInfo:
    eventsURL: https://assisted-service-multicluster-engine.apps.hub-2.el8k.se-lab.eng.rdu2.dc.redhat.com/api/assisted-install/v2/events?api_key=eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbHVzdGVyX2lkIjoiYWJjZTljNzktZmFjZi00YmU2LTk0OWEtMTk3YWM5ZGU1YzE3In0.kUbKil8MHspqZxOiCgmgR8ZdBMJu6_sTtNIhiqCXzrQolXc9SWheFd5fC7yRHcP_q2NUwOy2epBTzQHZfwjGAw&cluster_id=abce9c79-facf-4be6-949a-197ac9de5c17
    logsURL: ""
    state: preparing-for-installation
    stateInfo: Preparing cluster for installation
  machineNetwork:
  - cidr: 10.6.77.0/24
  platformType: None
  progress:
    totalPercentage: 0
  userManagedNetworking: true
  validationsInfo:
    configuration:
    - id: platform-requirements-satisfied
      message: Platform requirements satisfied
      status: success
    - id: pull-secret-set
      message: The pull secret is set.
      status: success
    hosts-data:
    - id: all-hosts-are-ready-to-install
      message: All hosts in the cluster are ready to install.
      status: success
    - id: sufficient-masters-count
      message: The cluster has the exact amount of dedicated control plane nodes.
      status: success
    network:
    - id: api-vips-defined
      message: 'API virtual IPs are not required: User Managed Networking'
      status: success
    - id: api-vips-valid
      message: 'API virtual IPs are not required: User Managed Networking'
      status: success
    - id: cluster-cidr-defined
      message: The Cluster Network CIDR is defined.
      status: success
    - id: dns-domain-defined
      message: The base domain is defined.
      status: success
    - id: ingress-vips-defined
      message: 'Ingress virtual IPs are not required: User Managed Networking'
      status: success
    - id: ingress-vips-valid
      message: 'Ingress virtual IPs are not required: User Managed Networking'
      status: success
    - id: machine-cidr-defined
      message: The Machine Network CIDR is defined.
      status: success
    - id: machine-cidr-equals-to-calculated-cidr
      message: 'The Cluster Machine CIDR is not required: User Managed Networking'
      status: success
    - id: network-prefix-valid
      message: The Cluster Network prefix is valid.
      status: success
    - id: network-type-valid
      message: The cluster has a valid network type
      status: success
    - id: networks-same-address-families
      message: Same address families for all networks.
      status: success
    - id: no-cidrs-overlapping
      message: No CIDRS are overlapping.
      status: success
    - id: ntp-server-configured
      message: No ntp problems found
      status: success
    - id: service-cidr-defined
      message: The Service Network CIDR is defined.
      status: success
    operators:
    - id: cnv-requirements-satisfied
      message: cnv is disabled
      status: success
    - id: lso-requirements-satisfied
      message: lso is disabled
      status: success
    - id: lvm-requirements-satisfied
      message: lvm is disabled
      status: success
    - id: mce-requirements-satisfied
      message: mce is disabled
      status: success
    - id: odf-requirements-satisfied
      message: odf is disabled
      status: success
